import * as react_jsx_runtime from 'react/jsx-runtime';
import { ReactNode } from 'react';

declare const CrossmintEnvironment: {
    readonly STAGING: "staging";
    readonly PRODUCTION: "production";
};
type CrossmintEnvironment = (typeof CrossmintEnvironment)[keyof typeof CrossmintEnvironment];

declare function verifyCrossmintSessionToken(apiKey: string, token: string, environment: "production" | "staging"): Promise<any>;

type AuthContextType = {
    login: () => void;
    logout: () => void;
    jwt: string | null;
};
type AuthProviderParams = {
    apiKey: string;
    environment: CrossmintEnvironment;
    children: ReactNode;
};
declare function AuthProvider({ children, apiKey, environment }: AuthProviderParams): react_jsx_runtime.JSX.Element;
declare function useAuth(): AuthContextType;

export { AuthProvider, type AuthProviderParams, CrossmintEnvironment, useAuth, verifyCrossmintSessionToken };
